> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query for tax zones with nested country assignments, tax rates, and rate key assignments.



## OpenAPI

````yaml /openapi/2.1.json get /v2/tax-zones
openapi: 3.0.0
info:
  title: JTL-WAWI API (Cloud)
  description: "JTL-Wawi-Version: 2.2.0-alpha.9492+Sha.4c8d5d1\r\n# Introduction\r\n\r\nWelcome to the JTL-WAWI technical API documentation. This guide is here to help developers understand how our REST API works and how it can be integrated into your existing systems. We'll delve into the details of authentication and data manipulation processes, providing clear examples along the way. Whether you're a developer or an IT professional, this documentation aims to give you a practical understanding, laying the groundwork for effectively using the JTL-WAWI API to enhance your processes.\r\n\r\n# Authentication\r\n\r\nYou register your application with the API by sending a POST request with the required information and corresponding keys. You can find the exact request details at https://developer.jtl-software.com/products/erp/swagger/appregistration. This information has to include the following:\r\n\r\n* AppId\r\n* DisplayName\r\n* Description\r\n* Version\r\n* ProviderName\r\n* ProviderWebsite\r\n* MandatoryApiScopes\r\n\r\nThis data is crucial for identifying and registering your application with the API. The API uses it to generate a temporary authentication ID that allows your application to access the necessary resources. After successful validation of this information, you will receive the API key required for future authentication and API requests.\r\n\r\nBefore you can begin the registration process, you must open JTL-Wawi (new interface) and start the registration process under 'Admin->App registration'. Only at this point are you authorised to send the first API call. This step in JTL-Wawi ensures that your application is properly registered and has permission to use the API.\r\n\r\nThe API will send you an authentication ID in the form of a token. Once you have received this token and successfully completed the registration in JTL-Wawi, you will send another request to the API by including this authentication ID in the URL path.\r\n\r\nAfter successful validation of this second request by the API and confirmation of the correct information, you will be provided with the actual API key. It is important to note that this API key will not be displayed again!\r\n\r\nThis API key will be used in the future to authenticate requests to the API. It is of utmost importance that you securely store the API key upon receipt, as it cannot be retrieved from any other location in the system."
  contact:
    name: JTL-Software-GmbH
    url: https://developer.jtl-software.com/
    email: partner@jtl-software.com
  version: '2.1'
  x-application-version: 2.2.0.0
servers:
  - url: https://api.jtl-cloud.com/erp
    description: Production Environment Cloud API Gateway
security: []
tags:
  - name: WMS
    description: >-
      <p data-section-id='tag/WMS' class='stable_summary'></p>Query all pick
      lists for a specific wms warehouse that are not completed.
  - name: Wawi App
    description: >-
      <p data-section-id='tag/Wawi App' class='stable_summary'></p>Get a
      specific customer
  - name: Warehouses
    description: >-
      <p data-section-id='tag/Warehouses' class='stable_summary'></p>Queries all
      storage locations for a given warehouse.
  - name: Units
    description: Development
  - name: Transaction Status
    description: >-
      <p data-section-id='tag/Transaction Status'
      class='stable_summary'></p>Queries all transaction statuses for a sales
      order.
  - name: Tax
    description: >-
      <p data-section-id='tag/Tax' class='stable_summary'></p>Returns the tax
      rate for the given item.
  - name: Inventory
    description: >-
      <p data-section-id='tag/Inventory' class='stable_summary'></p>Queries
      stocks for a specific item, warehouse or storage location.
  - name: Sales Order
    description: Planned
  - name: Sales Invoice Correction
    description: Planned
  - name: Return
    description: >-
      <p data-section-id='tag/Return' class='beta_summary'></p>Create a new
      return with associated items and packages.
  - name: Item
    description: >-
      <p data-section-id='tag/Item' class='beta_summary'></p>Queries all
      responsible persons.
  - name: Refund
    description: Planned
  - name: Property
    description: >-
      <p data-section-id='tag/Property' class='stable_summary'></p>Queries all
      properties of items.
  - name: Printer
    description: >-
      <p data-section-id='tag/Printer' class='beta_summary'></p>Retrieves all
      installed printers.
  - name: Master Data
    description: >-
      <p data-section-id='tag/Master Data' class='stable_summary'></p>Queries
      all on hold reasons for sales orders.
  - name: Manufacturer
    description: Development
  - name: Label
    description: Development
  - name: Sales Invoice
    description: Planned
  - name: Info
    description: >-
      <p data-section-id='tag/Info' class='stable_summary'></p>Returns the
      status of the API.
  - name: Features
    description: >-
      <p data-section-id='tag/Features' class='stable_summary'></p>Returns the
      available feature sets with release state and API version.
  - name: Extensibility
    description: Planned
  - name: Shipment
    description: Development
  - name: Delivery Note
    description: Planned
  - name: Custom Field
    description: Development
  - name: Customer
    description: >-
      <p data-section-id='tag/Customer' class='stable_summary'></p>Deletes a
      specific customer.
  - name: Authentication
    description: >-
      <p data-section-id='tag/Authentication'
      class='deprecated_summary'></p>DEPRECATED seit Wawi 2.2.0: No-Op. Seit
      Wawi 2.1.0 registriert sich die Wawi selbst per JWT.
  - name: Attribute
    description: Development
  - name: Sales Quotation
    description: >-
      <p data-section-id='tag/Sales Quotation' class='beta_summary'></p>Execute
      the printing of a sales quotation
  - name: Production
  - name: Resources
  - name: Company
  - name: Sales Orders
  - name: Marketplace Seller
  - name: Seller
  - name: Marketplace Order
  - name: Marketplace Offer
  - name: Marketplace Invoicing
  - name: Sales Channel
  - name: Payment
  - name: Warehouse Assistant
  - name: Worker
paths:
  /v2/tax-zones:
    get:
      tags:
        - Tax
      summary: >-
        Query for tax zones with nested country assignments, tax rates, and rate
        key assignments.
      operationId: TaxDomain_QueryTaxZones
      parameters:
        - name: pageNumber
          in: query
          description: Number of the page of items to fetch. Defaults to 1 when omitted.
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          description: >-
            Size of the page specified by PageNumber. Defaults to 100 when
            omitted.
          schema:
            type: integer
            format: int32
        - name: sortBy
          in: query
          description: >-
            Property to sort by. Multiple comma-separated fields are applied in
            order (OrderBy, then ThenBy).
          schema:
            type: string
        - name: sortDescending
          in: query
          description: Sort in descending order. Defaults to ascending when omitted.
          schema:
            type: boolean
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
          description: The tenant ID for the target ERP instance.
      responses:
        '200':
          description: Paged result.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JTL.Framework.Api.Abstraction.Models.PagedListOfJTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.TaxZone
        '400':
          description: Bad request.
          content:
            application/json: {}
        '401':
          description: Unauthorized.
          content:
            application/json: {}
        '403':
          description: Forbidden.
          content:
            application/json: {}
        '500':
          description: Internal server error.
          content:
            application/json: {}
      security:
        - oauth2-authorization-code: []
        - oauth2-client-credentials: []
components:
  schemas:
    JTL.Framework.Api.Abstraction.Models.PagedListOfJTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.TaxZone:
      type: object
      additionalProperties: false
      required:
        - TotalItems
        - PageNumber
        - PageSize
        - Items
      properties:
        totalItems:
          type: integer
          format: int32
        pageNumber:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.TaxZone
        totalPages:
          type: integer
          format: int32
        hasPreviousPage:
          type: boolean
        hasNextPage:
          type: boolean
        nextPageNumber:
          type: integer
          format: int32
        previousPageNumber:
          type: integer
          format: int32
    JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.TaxZone:
      type: object
      description: >-
        Represents a tax zone with its country assignments, tax rates, and rate
        key assignments.
      additionalProperties: false
      required:
        - Id
        - CompanyId
        - Name
        - DepartureCountryIso
        - VatIdB2B
        - VatIdB2C
        - Countries
        - TaxRates
      properties:
        id:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuerzoneKey'
          description: The unique identifier of the tax zone.
        companyId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.FirmaKey'
          description: The company this tax zone belongs to.
        name:
          type: string
          description: The name of the tax zone.
        departureCountryIso:
          type: string
          description: The ISO code of the departure country this zone is associated with.
        vatIdB2B:
          $ref: >-
            #/components/schemas/JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.VatIdSource
          description: The source for VAT ID resolution in B2B transactions.
        vatIdB2C:
          $ref: >-
            #/components/schemas/JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.VatIdSource
          description: The source for VAT ID resolution in B2C transactions.
        countries:
          type: array
          description: The country assignments for this zone.
          items:
            $ref: >-
              #/components/schemas/JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.TaxZoneCountry
        taxRates:
          type: array
          description: The tax rates for this zone.
          items:
            $ref: >-
              #/components/schemas/JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.TaxZoneRate
    JTL.Data.Contracts.Keys.SteuerzoneKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.FirmaKey:
      type: string
      description: Represents a key for identifying a firm within the application.
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.VatIdSource:
      type: integer
      description: 0 = FromDetermination, 1 = FromCompanyLocation, 2 = FromDepartureCountry
      format: int32
      x-enumNames:
        - FromDetermination
        - FromCompanyLocation
        - FromDepartureCountry
      enum:
        - 0
        - 1
        - 2
    JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.TaxZoneCountry:
      type: object
      description: Represents a country assigned to a tax zone.
      additionalProperties: false
      required:
        - TaxZoneId
        - CountryIso
      properties:
        taxZoneId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuerzoneKey'
          description: The ID of the tax zone this country belongs to.
        countryIso:
          type: string
          description: The ISO country code.
        stateCode:
          type: string
          description: The state or province code within the country.
    JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.TaxZoneRate:
      type: object
      description: Represents a tax rate assigned to a tax zone and tax class.
      additionalProperties: false
      required:
        - Id
        - VatRate
        - TaxRateAssignments
      properties:
        id:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuersatzKey'
          description: The unique identifier of the tax rate.
        taxZoneId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuerzoneKey'
          description: The tax zone this rate belongs to.
        taxClassId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuerklasseKey'
          description: The tax class this rate applies to.
        vatRate:
          type: number
          description: The VAT rate as a decimal value (e.g. 19.0 for 19%).
          format: decimal
        priority:
          type: integer
          description: The priority of this tax rate.
          format: int32
        taxCodeId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuerschluesselKey'
          description: The main tax code (Steuerschlüssel).
        intraCommunityDeliveryTaxCodeId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuerschluesselKey'
          description: The intra-community delivery tax code.
        exemptFromVatNotEuTaxCodeId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuerschluesselKey'
          description: >-
            The tax code for shipments from EU to non-EU countries (exempt from
            VAT, not EU).
        reverseChargeTaxCodeId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuerschluesselKey'
          description: The reverse charge tax code.
        taxRateAssignments:
          type: array
          description: The tax rate key assignments for this rate.
          items:
            $ref: >-
              #/components/schemas/JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.TaxZoneRateAssignment
    JTL.Data.Contracts.Keys.SteuersatzKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.SteuerklasseKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.SteuerschluesselKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.TaxZoneRateAssignment:
      type: object
      description: >-
        Represents a tax rate key assignment mapping tax codes to product
        groups, shipping methods, and line item types.
      additionalProperties: false
      required:
        - TaxRateId
        - LineItemType
      properties:
        taxRateId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuersatzKey'
          description: The ID of the tax rate this assignment belongs to.
        productGroupId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.WarengruppeKey'
          description: The product group ID.
        shippingMethodId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.VersandartKey'
          description: The shipping method ID.
        lineItemType:
          $ref: >-
            #/components/schemas/JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.TaxLineItemType
          description: The line item type.
        taxCodeId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuerschluesselKey'
          description: The main tax code (Steuerschlüssel).
        intraCommunityDeliveryTaxCodeId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuerschluesselKey'
          description: The intra-community delivery tax code.
        exemptFromVatNotEuTaxCodeId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuerschluesselKey'
          description: >-
            The tax code for shipments from EU to non-EU countries (exempt from
            VAT, not EU).
        reverseChargeTaxCodeId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuerschluesselKey'
          description: The reverse charge tax code.
    JTL.Data.Contracts.Keys.WarengruppeKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.VersandartKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.TaxLineItemType:
      type: integer
      description: >-
        0 = Custom, 1 = Item, 2 = Shipping, 3 = Coupon, 4 = Voucher, 5 =
        Payment, 6 = ShippingSurcharge, 7 = NewCustomerCoupon, 8 =
        CashOnDelivery, 9 = ShippingSurchargeItem, 10 = Packing, 11 =
        GiftForFree, 12 = TrustedShops, 13 = InterestPremium, 14 =
        ProcessingFee, 15 = Carton, 16 = ReturnDelivery, 17 =
        MultiPurposeVoucher, 18 = MultiPurposeVoucherDigital, 19 =
        SinglePurposeVoucher, 20 = SinglePurposeVoucherDigital, 21 =
        SinglePurposeVoucherRedemption
      format: int32
      x-enumNames:
        - Custom
        - Item
        - Shipping
        - Coupon
        - Voucher
        - Payment
        - ShippingSurcharge
        - NewCustomerCoupon
        - CashOnDelivery
        - ShippingSurchargeItem
        - Packing
        - GiftForFree
        - TrustedShops
        - InterestPremium
        - ProcessingFee
        - Carton
        - ReturnDelivery
        - MultiPurposeVoucher
        - MultiPurposeVoucherDigital
        - SinglePurposeVoucher
        - SinglePurposeVoucherDigital
        - SinglePurposeVoucherRedemption
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
        - 13
        - 14
        - 15
        - 16
        - 17
        - 18
        - 19
        - 20
        - 21
  securitySchemes:
    oauth2-authorization-code:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://auth.jtl-cloud.com/oauth2/auth
          tokenUrl: https://auth.jtl-cloud.com/oauth2/token
          scopes:
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            saleschannels.read: Verkaufskanäle lesen
            all.read: Allows the application to read all data.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            inventories.read: Grants permission to read stock levels.
            inventories.write: Grants permission to modify stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            taxes.read: Grants permission to read tax data.
            warehouse.read: Grants permission to read warehouse data.
            wawiapp.all: Grants access to Wawi app related operations.
            currencies.read: Grants read access to currencies.
            jera.read: Grants read access to JERA internal endpoints.
            paymentmethods.read: Grants read access to payment methods.
            payments.read: Ermöglicht den Lesezugriff auf Zahlungen.
            payments.write: Ermöglicht den Schreibzugriff auf Zahlungen.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            suppliers.read: Grants permission to read suppliers.
            system.worker.read: Worker-Synchronisationen lesen
            system.worker.write: Worker-Synchronisationen schreiben
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            inventory.write: Bestand schreiben
            masterdata.write: Write master data
            inventory.read: Grants permission to read stock levels.
            taxes.write: Grants permission to create and modify tax data.
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.
    oauth2-client-credentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.jtl-cloud.com/oauth2/token
          scopes:
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            saleschannels.read: Verkaufskanäle lesen
            all.read: Allows the application to read all data.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            inventories.read: Grants permission to read stock levels.
            inventories.write: Grants permission to modify stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            taxes.read: Grants permission to read tax data.
            warehouse.read: Grants permission to read warehouse data.
            wawiapp.all: Grants access to Wawi app related operations.
            currencies.read: Grants read access to currencies.
            jera.read: Grants read access to JERA internal endpoints.
            paymentmethods.read: Grants read access to payment methods.
            payments.read: Ermöglicht den Lesezugriff auf Zahlungen.
            payments.write: Ermöglicht den Schreibzugriff auf Zahlungen.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            suppliers.read: Grants permission to read suppliers.
            system.worker.read: Worker-Synchronisationen lesen
            system.worker.write: Worker-Synchronisationen schreiben
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            inventory.write: Bestand schreiben
            masterdata.write: Write master data
            inventory.read: Grants permission to read stock levels.
            taxes.write: Grants permission to create and modify tax data.
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.

````